>From 3a3059e095eed48cf327c888fe0755aa5f601b26 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Stephan=20S=C3=BCrken?= <absurd@olurdix.de>
Date: Thu, 11 Feb 2016 14:47:04 +0000
Subject: [PATCH] dput/uploaders/ftp.py: Parse and use optional [:port] part
 for fqdn.

---
 dput/uploaders/ftp.py | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/dput/uploaders/ftp.py b/dput/uploaders/ftp.py
index ebcac40..2ee6ce8 100644
--- a/dput/uploaders/ftp.py
+++ b/dput/uploaders/ftp.py
@@ -59,12 +59,10 @@ class FtpUploader(AbstractUploader):
         timeout = conf['timeout'] if 'timeout' in conf else 10
 
         try:
-            self._ftp = ftplib.FTP(
-                self._config["fqdn"],
-                self._config["login"],
-                None,
-                timeout=timeout
-            )
+            self._ftp = ftplib.FTP()
+            host, dummy, port = self._config["fqdn"].partition(":")
+            self._ftp.connect(host, None if port == "" else int(port), timeout)
+            self._ftp.login(self._config["login"])
         except Exception as e:
             raise FtpUploadException(
                 "Could not establish FTP connection to %s: %s" % (
-- 
2.7.0

